//******************************************************************************
// GDImbH  19.06.2020 letzte nderung 20.06.2020
// Corona-Konjunkturpaket Mehrwertsteuerabsenkung 2020
//
// Programm "P4_Afterladen.Artikel_Steuersatz.prg"
// Funktion: Autom. Setzen des Steuersatzes in einer neu angelegten Belegosition
// Einsetzbar in GDI Busness Line ab Version 3.6
// Einzubinden ins Nummernkreis-Basic aller Belegarten (EK und VK)
//******************************************************************************

:AfterLaden.Artikel
  // Parameter fr die Umsetzung
  VonDatum   := StrToDate('01.07.2020');
  BisDatum   := StrToDate('31.12.2020');
  OldStSatz1 := 19.00;
  NewStSatz1 := 16.00;
  OldStSatz2 :=  7.00;
  NewStSatz2 :=  5.00;

  PosStSatz  := StrToFloat(BelegPos.SteuerSatz);
  PosDatumMe := StrToDate(BelegPos.DatumMe);
  if      (PosStSatz = OldStSatz1) and (PosDatumMe >= VonDatum) and (PosDatumMe < BisDatum +1) then
    BelegPos.SteuerSatz := NewStSatz1;
  else if (PosStSatz = OldStSatz2) and (PosDatumMe >= VonDatum) and (PosDatumMe < BisDatum +1) then
    BelegPos.SteuerSatz := NewStSatz2;
  else if (PosStSatz = NewStSatz1) and ((PosDatumMe < VonDatum) or (PosDatumMe >= BisDatum +1)) then
    BelegPos.SteuerSatz := OldStSatz1;
  else if (PosStSatz = NewStSatz2) and ((PosDatumMe < VonDatum) or (PosDatumMe >= BisDatum +1)) then
    BelegPos.SteuerSatz := OldStSatz2;
  endif; endif; endif; endif;
exit;
